> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a partner tag



## OpenAPI

````yaml /openapi.json post /partner-tags
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /partner-tags:
    post:
      tags:
        - Partner Tag
      summary: Create a partner tag
      operationId: createPartnerTag
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePartnerTag'
      responses:
        '201':
          description: Partner tag created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerTag'
        '400':
          description: Invalid request
components:
  schemas:
    CreatePartnerTag:
      type: object
      properties:
        code:
          type: string
          description: The code of the partner tag, a unique identifier
        name:
          type: string
          description: The name of the partner tag
        description:
          type: string
          description: The description of the partner tag
      required:
        - code
        - name
        - description
    PartnerTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the partner tag
        code:
          type: string
          description: The code of the partner tag, a unique identifier
        name:
          type: string
          description: The name of the partner tag
        description:
          type: string
          description: The description of the partner tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the partner tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the partner tag was updated
        deleted:
          type: boolean
          description: Whether the partner tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the partner tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````